http://yunazuno.hatenablog.com/entry/2016/10/11/090245

$ vagrant plugin install vagrant-reload

のところで,

$ sudo gem install rake
$ sudo gem install childprocess -v '1.0.1'

が必要だった.